Maps Plug in not served over HTTPS

Can you help fix this error please.
Mixed Content: The page at 'https://www.************.***/classes/2015/04/t----50-51/?eab_success_msg=yes' was loaded over HTTPS, but requested an insecure image 'http://www.************/wp-content/plugins/wpmu_dev_maps_plugin//img/system/marker.png'. This content should also be served over HTTPS.
I have granted access in case you need it.

Thanks